<template>
	<span :aria-hidden="!title"
		:aria-label="title"
		class="material-design-icon nepenthes-icon"
		role="img"
		v-bind="$attrs"
		@click="$emit('click', $event)">
		<svg xmlns="http://www.w3.org/2000/svg"
			:width="size"
			:height="size"
			viewBox="0 0 2e3 2e3"
			version="1.1"
			:fill="fillColor">
			<g transform="matrix(46.875044,0,0,46.875044,-14302.365,-3923.0864)">
				<path style="fill: currentColor;" d="m324.8 116.5c-0.8-0.5-1.5-1.3-1.9-2.2-0.4-1-0.4-2.1-0.5-3.2-0.1-1.2-0.5-2.1-1.3-3-1.3-1.4-3-1.4-4.7-1.2 0.4 0.5 0.9 1.1 1.2 1.7 0.5 1-0.2 1.9-0.2 2.9 0.1 1.6 1 3.2 2.3 4.2-1.6-0.9-3.5 0.2-4.7 1.3-1.1 1.1-2 2.1-3.6 2.3 0.8 0.4 1.3 1.2 1.9 1.7 0.9 0.7 2 1.2 3.1 1 1.7-0.3 2.4-1.7 3.6-2.7 1.9-1.6 3.8-1.2 4.8 1.1" />
				<path style="fill: none;stroke: currentColor;stroke-width: 5;stroke-miterlimit: 10;" d="m321 116.5c1.7 0.7 3.3 1.1 4.8 1.5" />
				<path style="fill: none;stroke: currentColor;stroke-width: 5;stroke-miterlimit: 10;stroke-dasharray: 9.3639,1.8728;" d="m327.6 118.3c6.7 0.8 11.4-1.6 11.4-5.8 0-10-18-6-18-15 0-4.7 5.5-8.2 11.7-6.6" />
				<path style="fill: none;stroke: currentColor;stroke-width: 5;stroke-miterlimit: 10;" d="m333.6 91.2c1.5 0.5 2.9 1.2 4.4 2.3" />
			</g>
		</svg>

	</span>
</template>

<script>
export default {
	name: 'NepenthesIcon',
	props: {
		size: {
			type: Number,
			default: 32,
		},
		title: {
			type: String,
			default: '',
		},
		fillColor: {
			type: String,
			default: 'currentColor',
		},
	},
}
</script>
